#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using System.Net;
using System.Reflection;


#endregion

namespace SQLWS_App
{
	partial class Form1: Form
	{
		public Form1()
		{
			InitializeComponent();
		}

        private void button1_Click(object sender, EventArgs e)
        {
            // dodanie odwołania do usługi sieciowej SQL
            ws.SQLWS_endpoint SQLWS = new ws.SQLWS_endpoint();
            
            // domyślny system uwierzytelniania: uwierzytelnianie Windows
            SQLWS.Credentials = CredentialCache.DefaultCredentials;
            
            // wywołanie procedury składowanej za pośrednictwem usługi sieciowej
            System.Data.DataSet dsReturnValue = (System.Data.DataSet)SQLWS.SQLWS("Wywoływanie procedury składowanej").GetValue(0);
            
            // pobranie obiektu odczytującego powiązanego z Dataset
            System.Data.DataTableReader drSQL = dsReturnValue.CreateDataReader();
            
            // pobranie wyników
            string strResult = "";
            while (drSQL.Read())
            {
                strResult = drSQL[0].ToString();
            }

            // wyświetlenie wyników
            MessageBox.Show("Wartość zwrócona przez wywołany SQL: " + strResult);

            ws.SqlParameter[] sqlparams = new ws.SqlParameter[0];
            
            // wysłanie instrukcji wsadowej
            System.Data.DataSet dsReturnValue1 = (System.Data.DataSet)SQLWS.sqlbatch("SELECT * FROM sys.http_endpoints", ref sqlparams).GetValue(0);

            // pobranie obiektu odczytującego powiązanego z Dataset
            System.Data.DataTableReader drSQL1 = dsReturnValue1.CreateDataReader();

            // pobranie wyników
            string strResult1 = "";
            while (drSQL1.Read())
            {
                strResult1 = drSQL1[0].ToString();
            }

            // wyświetlenie wyników
            MessageBox.Show("Wartość zwrócona przez wywołany SQL: " + strResult1);

        }

        private void button2_Click(object sender, EventArgs e)
        {
        
        }    
	}
}